# topiku
topiku is a simple [LISP](https://en.wikipedia.org/wiki/Lisp_(programming_language)) inspired language with [toki pona](https://tokipona.org/) keywords

### Name
The name `topiku` was created as short form of `toki pi kulupu ijo` - language of lists, but it was also retroactively expanded into `toki epiku` - the epic language.

## Building
To build `topiku` interpreter you need a [Zig](https://ziglang.org/) compiler (works with `master`) and [`editline`](https://github.com/troglobit/editline) installed.
```sh
> git clone https://git.ablecorp.us:443/der-teufel-programming/topiku.git
> cd topiku
> zig build
```
The executable is then found as `zig-out/bin/topiku`
It is also possible to build and run using `zig build run` command.