const std = @import("std");
const prompt = @import("prompt.zig");

pub fn main() anyerror!void {
    const stdout = std.io.getStdOut().writer();
    var gpa = std.heap.GeneralPurposeAllocator(.{}){};

    defer {
        var notclear = gpa.deinit();
        if (notclear) {
            std.log.err("Detected memory leaks!!!", .{});
        }
    }

    try stdout.writeAll("topiku - toki pi kulupu ijo - ver. 0.0.1\n");

    prompt.init();
    defer prompt.deinit();

    while (true) {
        var input = prompt.readline("topiku> ") orelse break;
        defer prompt.free(input);
        try stdout.print("<{}>: {s}\n", .{ input.num, input.content });
    }
}
